import java.util.*;
import java.io.*;
public class A {
    public static void main(String[] args) throws Exception {
       Scanner in=new Scanner(new File("quotient.in"));
        long a=in.nextInt();
        long b=in.nextInt();
       PrintWriter out=new PrintWriter(new File("quotient.out"));
        if(b==0)
          out.print("Na nol' delit' nel'zya!!!");
        else
          out.print(a/b);
       out.close();
    }
}
